// DlgFormat.cpp : implementation file
//

#include "stdafx.h"
#include "PowerDesigner2.h"
#include "DlgFormat.h"


// CDlgFormat dialog

IMPLEMENT_DYNAMIC(CDlgFormat, CDialog)
CDlgFormat::CDlgFormat(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgFormat::IDD, pParent)
	, m_sFormat(_T(""))
{
}

CDlgFormat::~CDlgFormat()
{
}

void CDlgFormat::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_ED_FORMAT, m_sFormat);
	DDX_Control(pDX, IDC_ST_FORMAT, m_St_Format);
	DDX_Control(pDX, IDC_ED_FORMAT, m_Format);
	DDX_Control(pDX, IDOK, m_OK);
	DDX_Control(pDX, IDCANCEL, m_Cancel);
}


BEGIN_MESSAGE_MAP(CDlgFormat, CDialog)
	ON_WM_PAINT()
END_MESSAGE_MAP()


// CDlgFormat message handlers

BOOL CDlgFormat::OnInitDialog()
{
	CDialog::OnInitDialog();

CBitmap Bitmap;
BITMAP B;

	//  ,   
	Bitmap.LoadBitmap(iPictureID);
	Bitmap.GetBitmap(&B);
	if(B.bmWidth<150)
		B.bmWidth=150;
	SetWindowPos(NULL, 0, 0, B.bmWidth+40, B.bmHeight+210, SWP_NOMOVE|SWP_NOZORDER);
	m_St_Format.SetWindowPos(NULL, 20, B.bmHeight+15, 0, 0, SWP_NOSIZE|SWP_NOZORDER);
	m_Format.SetWindowPos(NULL, 20, B.bmHeight+30, B.bmWidth, 100, SWP_NOZORDER);
	m_OK.SetWindowPos(NULL, 20, B.bmHeight+140, (B.bmWidth-20)/2, 30, SWP_NOZORDER);
	m_Cancel.SetWindowPos(NULL, (B.bmWidth-20)/2+40, B.bmHeight+140, (B.bmWidth-20)/2, 30, SWP_NOZORDER);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgFormat::OnPaint()
{
CBitmap Bitmap;
BITMAP B;
CDC ComDC;

	CPaintDC dc(this); // device context for painting

	Bitmap.LoadBitmap(iPictureID);
	Bitmap.GetBitmap(&B);
	ComDC.CreateCompatibleDC(&dc);
	ComDC.SelectObject(&Bitmap);
	dc.BitBlt(20,10,B.bmWidth,B.bmHeight,&ComDC,0,0,SRCCOPY);
}
