#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CDlgOffsets dialog

class CDlgOffsets : public CDialog
{
	DECLARE_DYNAMIC(CDlgOffsets)

public:
	CDlgOffsets(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgOffsets();

// Dialog Data
	enum { IDD = IDD_DLG_OFFSETS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	
	DECLARE_MESSAGE_MAP()

public:
	tag_t *Splines;
	tag_t *SplinesGray;
	CEdge *Edges;
	int iEdgesNum;
	bool bInitialized;

	int DoModal(tag_t *Splines_i, CEdge *Edges_i, int iEdgesNum_i);

	virtual BOOL OnInitDialog();
	CListBox m_e_Edges;
	double m_Offset;
	afx_msg void OnLbnSelchangeLsEdges();

	void UGRefresh();
	afx_msg void OnEnChangeEdOffset();
	CSpinButtonCtrl m_SP_Offset;
	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();
	CEdit m_c_Offset;
	afx_msg void OnBnClickedRbIgnore();
	afx_msg void OnBnClickedRbCount();
};
