#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CDlgCustomSections dialog

class CDlgCustomSections : public CDialog
{
	DECLARE_DYNAMIC(CDlgCustomSections)

public:
	CDlgCustomSections(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgCustomSections();

// Dialog Data
	enum { IDD = IDD_DLG_CUSTOM_SECTIONS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CDWordArray *CustomSections;
	CEdge *Edges;
	int iEdgesNum;
	bool bInitialized;

	void UGRefresh(void);

	INT_PTR DoModal(CEdge *Edges_i, int iEdgesNum_i);

	virtual BOOL OnInitDialog();
	CListBox m_c_Edges;
	afx_msg void OnBnClickedButAddSection();
	CListBox m_c_Sections;
	CSpinButtonCtrl m_c_Spin;
	afx_msg void OnLbnSelchangeLsEdges();
	afx_msg void OnBnClickedButUp();
	afx_msg void OnBnClickedButDown();
	afx_msg void OnLbnSelchangeLsSections();
	afx_msg void OnBnClickedButDelSection();
protected:
	virtual void OnOK();
public:
	virtual BOOL DestroyWindow();
};
