// DlgSettings.cpp : implementation file
//

#include "stdafx.h"
#include "PowerDesigner2.h"
#include "DlgSettings.h"


// CDlgSettings dialog

IMPLEMENT_DYNAMIC(CDlgSettings, CDialog)
CDlgSettings::CDlgSettings(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgSettings::IDD, pParent)
	, m_DistTol(dG_DistTol)
	, m_InnerCoef(dG_InnerCoef)
	, m_SplinesDegree(iSplinesDegree)
	, m_SingleRadius(bG_SingleRadius)
	, m_PressThickness(dG_PressThickness)
	, m_BushInPressThickness(dG_BushInPressThickness)
	, m_RoundingsRadius(dG_RoundingsRadius)
	, m_AdditionalThickness(dG_BaseAdditionalThickness)
	, m_SingleH(bG_SingleH)
{
}

CDlgSettings::~CDlgSettings()
{
}

void CDlgSettings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_ED_DIST_TOL, m_DistTol);
	DDV_MinMaxDouble(pDX, m_DistTol, 0, 1000);
	DDX_Text(pDX, IDC_ED_INNER_COEF, m_InnerCoef);
	DDV_MinMaxDouble(pDX, m_InnerCoef, 0, 1000);
	DDX_Text(pDX, IDC_ED_SPLINES_DEGREE, m_SplinesDegree);
	DDV_MinMaxInt(pDX, m_SplinesDegree, 2, 15);
	DDX_Check(pDX, IDC_CB_SINGLE_RADIUS, m_SingleRadius);
	DDX_Text(pDX, IDC_ED_PRESS_THICKNESS, m_PressThickness);
	DDX_Text(pDX, IDC_ED_BUSHINPERR_THICKNESS, m_BushInPressThickness);
	DDX_Text(pDX, IDC_ED_ROUNDINGS_RADIUS, m_RoundingsRadius);
	DDX_Text(pDX, IDC_ED_ADDITIONAL_THICKNESS, m_AdditionalThickness);
	DDX_Check(pDX, IDC_CB_SINGLE_H, m_SingleH);
}


BEGIN_MESSAGE_MAP(CDlgSettings, CDialog)
//	ON_BN_CLICKED(IDC_CB_SINGLE_RADIUS2, OnBnClickedCbSingleRadius2)
//ON_BN_CLICKED(IDC_CB_SINGLE_RADIUS2, OnBnClickedCbSingleRadius2)
END_MESSAGE_MAP()


// CDlgSettings message handlers

