#pragma once
#include "afxwin.h"

// CDlgWrite dialog

class CDlgWrite : public CDialog
{
	DECLARE_DYNAMIC(CDlgWrite)

public:
	CDlgWrite(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgWrite();

// Dialog Data
	enum { IDD = IDD_DLG_WRITE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

public:
	CString sFormatOuter;
	CString sFormatOuterEdge;
	CString sFormatHole;
	CString sFormatHoleEdge;
	CString sFormatHoleAll;
	CString sFormatPunch;
	CString sFormatPunchEdge;
	CString sFormatPunchAll;
	CString sFormatPressIn;
	CString sFormatPressInEdge;
	CString sFormatPressInAll;

	bool bOuter;
	bool bOuterEdge;
	bool bHole;
	bool bHoleEdge;
	bool bHoleAll;
	bool bPunch;
	bool bPunchEdge;
	bool bPunchAll;
	bool bPressIn;
	bool bPressInEdge;
	bool bPressInAll;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedCbWrOuter();
	CButton m_CB_Wr_Outer;
	CButton m_CB_Wr_Outer_Edge;
	CButton m_CB_Wr_Hole;
	CButton m_CB_Wr_Hole_Edge;
	CButton m_CB_Wr_Hole_All;
	CButton m_CB_Wr_Punch;
	CButton m_CB_Wr_Punch_Edge;
	CButton m_CB_Wr_Punch_All;
	CButton m_CB_Wr_PressIn;
	CButton m_CB_Wr_PressIn_Edge;
	CButton m_CB_Wr_PressIn_All;
	CButton m_But_Wr_Outer;
	CButton m_But_Wr_Outer_Edge;
	CButton m_But_Wr_Hole;
	CButton m_But_Wr_Hole_Edge;
	CButton m_But_Wr_Hole_All;
	CButton m_But_Wr_Punch;
	CButton m_But_Wr_Punch_Edge;
	CButton m_But_Wr_Punch_All;
	CButton m_But_Wr_PressIn;
	CButton m_But_Wr_PressIn_Edge;
	CButton m_But_Wr_PressIn_All;
	afx_msg void OnBnClickedCbWrHole();
	afx_msg void OnBnClickedCbWrPunch();
	afx_msg void OnBnClickedCbWrPressin();
	afx_msg void OnBnClickedCbWrOuterEdge();
	afx_msg void OnBnClickedCbWrHoleEdge();
	afx_msg void OnBnClickedCbWrHoleAll();
	afx_msg void OnBnClickedCbWrPunchEdge();
	afx_msg void OnBnClickedCbWrPunchAll();
	afx_msg void OnBnClickedCbWrPressinEdge();
	afx_msg void OnBnClickedCbWrPressinAll();
	CButton m_But_OK;
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButWrOuter();
	afx_msg void OnBnClickedButWrOuterEdge();
	BOOL m_bOuter;
	BOOL m_bOuterEdge;
	BOOL m_bHole;
	BOOL m_bHoleEdge;
	BOOL m_bHoleAll;
	BOOL m_bPunch;
	BOOL m_bPunchEdge;
	BOOL m_bPunchAll;
	BOOL m_bPressIn;
	BOOL m_bPressInEdge;
	BOOL m_bPressInAll;
	afx_msg void OnBnClickedButWrHole();
	afx_msg void OnBnClickedButWrHoleEdge();
	afx_msg void OnBnClickedButWrHoleAll();
	afx_msg void OnBnClickedButWrPunch();
	afx_msg void OnBnClickedButWrPunchEdge();
	afx_msg void OnBnClickedButWrPunchAll();
	afx_msg void OnBnClickedButWrPressin();
	afx_msg void OnBnClickedButWrPressinEdge();
	afx_msg void OnBnClickedButWrPressinAll();
	BOOL m_bOuterEdgeEmpty;
	CButton m_CB_Wr_Outer_Edge_Empty;
};
